summaryrefslogtreecommitdiffstats
path: root/dilos/tdepim/debian/knotes-trinity.preinst
diff options
context:
space:
mode:
authorDenis Kozadaev <denis@dilos.org>2020-01-30 22:13:12 +0300
committerSlávek Banko <slavek.banko@axis.cz>2020-03-03 00:55:31 +0100
commitde8843364b5ebfedb42b2c03aa8307fdec96f025 (patch)
tree3d1c937bffcdfa92a306194b7be459fd43d452ee /dilos/tdepim/debian/knotes-trinity.preinst
parentcac18135ca5858fb16725187ce6f427324683018 (diff)
downloadtde-packaging-de8843364b5ebfedb42b2c03aa8307fdec96f025.tar.gz
tde-packaging-de8843364b5ebfedb42b2c03aa8307fdec96f025.zip
DilOS: tdepim build pack
Signed-off-by: Denis Kozadaev <denis@dilos.org> (cherry picked from commit aaa680c41f65f2ac24364a0b4307b5aef00c0368)
Diffstat (limited to 'dilos/tdepim/debian/knotes-trinity.preinst')
-rw-r--r--dilos/tdepim/debian/knotes-trinity.preinst45
1 files changed, 45 insertions, 0 deletions
diff --git a/dilos/tdepim/debian/knotes-trinity.preinst b/dilos/tdepim/debian/knotes-trinity.preinst
new file mode 100644
index 000000000..686e65306
--- /dev/null
+++ b/dilos/tdepim/debian/knotes-trinity.preinst
@@ -0,0 +1,45 @@
+#! /bin/sh
+# preinst script for knotes
+#
+# see: dh_installdeb(1)
+
+set -e
+if [ "${BASEDIR:=/}" = "/" ]; then
+ BASEDIR=""
+fi
+
+# summary of how this script can be called:
+# * <new-preinst> `install'
+# * <new-preinst> `install' <old-version>
+# * <new-preinst> `upgrade' <old-version>
+# * <old-preinst> `abort-upgrade' <new-version>
+#
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ install|upgrade)
+ if [ "$1" = "upgrade" ]
+ then
+ # Debian testing (Sarge) files
+ rm ${BASEDIR}/etc/trinity/knotesrc > /dev/null 2>&1 || true
+ fi
+ ;;
+
+ abort-upgrade)
+
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0